#!/usr/bin/python

#Stuff to import
import sys
from PyQt4 import QtCore
from PyQt4 import QtGui
from PyQt4.QtGui import *
from PyQt4.QtCore import *
import Image
#import code

CURRENTVERSION = "0.3-2"

class MainWindow(QtGui.QMainWindow):
    def __init__(self):
        
        #Create window
        QtGui.QMainWindow.__init__(self)
        
        self.fullScreen = False

        #Initial Settings
        self.resize(800,480)
        self.setWindowTitle("London Tube Map " + CURRENTVERSION)
        
        #Open Image
        self.ChargerScene()
        
        #Fullscreen Button        
        fs = QtGui.QPushButton('', self)
        fs.setGeometry(750, 0, 60, 48)
        self.connect(fs, QtCore.SIGNAL('clicked()'), self.fullscreen)
        
        fsicon = QIcon("/opt/ltm/images/general_fullsize.png")
        fs.setIcon(fsicon)

        ################
        #Menu Bar#
        ################

        #About
        abt = QtGui.QAction('About', self)
        abt.setShortcut('Ctrl+A')
        self.connect(abt, QtCore.SIGNAL('triggered()'), self.showAbout)

        #Connect to Menu Bar
        menubar = self.menuBar()
        file = menubar.addMenu('&Fichier')
        file.addAction(abt)
        
        #About page
    def showAbout(self):
        aboutString = "London Tube Map: v" + CURRENTVERSION + "\nAmir B (benjezzy@gmail.com)\nMaemo Forums: El Amir \nTwitter: @benjezzy \nMany thanks to everyone who helped! "
        QtGui.QMessageBox.information(self, "About LTM: London Tube Map", aboutString)
        
    def fullscreen(self):
        if not self.fullScreen :
            self.showFullScreen()
        else:
            self.showNormal()

        self.fullScreen = not (self.fullScreen)  
        
    def ChargerScene(self):
        #Load image
        objImg = QtGui.QImage("/opt/ltm/images/map.png")

        #Create central Label
        self.cadre = QtGui.QLabel(self)
        self.cadre.setPixmap(QtGui.QPixmap.fromImage(objImg))
        self.area = QtGui.QScrollArea(self)
        self.area.setWidget(self.cadre)
        self.setCentralWidget(self.area)
        
        #Set up initial scroll bar locations
        self.area.verticalScrollBar().setValue(500)
        self.area.horizontalScrollBar().setValue(500)


#Create application object
app=QtGui.QApplication(sys.argv)
#create main window
main=MainWindow()
#display window
main.show()
#Close the App
sys.exit(app.exec_())